List Environment Variables
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/environment-variables \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/environment-variables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/environment-variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "********",
"has_value": true
}
],
"page_info": {
"self": "<string>",
"first": null,
"next": "<string>",
"prev": "<string>"
}
}List Environment Variables
Lists environment variables for a specific environment in the resolved project.
GET
/
projects
/
{project_reference}
/
environment-variables
List Environment Variables
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Project slug, ID, or other supported project reference.
Query Parameters
Environment ID containing the variable.
Cursor for pagination (environment variable ID).
Maximum number of environment variables to return. Defaults to 20 and is capped at 100.
Required range:
1 <= x <= 100Sort field. Defaults to "key".
Available options:
key, updated_at Sort order. Defaults to "asc".
Available options:
asc, desc